/* This file may be used to hardcode some system specific defaults in slrn. */

/* It is used only for non Unix systems.  See config.hin for Unix. */
/* Uncomment one or more of the following lines and modify appropriately */
/* #define OUR_ORGANIZATION "organization-name" */
/* #define OUR_HOSTNAME "host.name.here" */
/* #define NNTPSERVER_NAME  "my.server.name" */

/* If you have specified these quantities in the Makefile, there is no need 
 * to do it here.
 */
/* #define NNTPSERVER_FILE "/usr/local/lib/news/nntp_server" */
/* #define SLRN_LIB_DIR    "/usr/local/lib/news" */

#ifdef VMS
# define NO_UNISTD_H
# define NO_DECODE
# define NO_PIPING
# ifndef MAIL_PROTOCOL
#   if defined(UCX) || defined(MULTINET)
#     define MAIL_PROTOCOL "SMTP%"
#   else
#     define MAIL_PROTOCOL "IN%"
#   endif
# endif
#endif

/* System defaults */
#ifdef VMS
# define SLRN_LETTER_FILENAME		"slrn-letter.txt"
# define SLRN_ARTICLE_FILENAME		"slrn-article.txt"
# define SLRN_FOLLOWUP_FILENAME		"slrn-followup.txt"
# define SLRN_SIGNATURE_FILE		".signature"
# ifndef SLRN_LIB_DIR
#  define SLRN_LIB_DIR			"sys$manager:"
# endif
#else
# ifdef __os2__
#  define SLRN_LETTER_FILENAME		"letter.txt"
#  define SLRN_ARTICLE_FILENAME		"article.txt"
#  define SLRN_FOLLOWUP_FILENAME	"followup.txt"
#  define SLRN_SIGNATURE_FILE		"signatur.txt"
#  define SLRN_SENDMAIL_COMMAND		"sendmail -t"
#  ifndef SLRN_LIB_DIR
#    define SLRN_LIB_DIR		"C:/os2"
#  endif
# else
#  ifdef unix
#    define SLRN_LETTER_FILENAME	".letter"
#    define SLRN_ARTICLE_FILENAME	".article"
#    define SLRN_FOLLOWUP_FILENAME	".followup"
#    define SLRN_SIGNATURE_FILE		".signature"
#    define SLRN_SENDMAIL_COMMAND	"/usr/lib/sendmail -oi -t -oem -odb"
#    ifndef SLRN_LIB_DIR
#       define SLRN_LIB_DIR		"/usr/local/lib/slrn"
#    endif
#  endif
# endif
#endif

#define HAS_MIME_SUPPORT

#define HAVE_STDLIB_H
#define HAVE_UNISTD_H
